import Logger from "../domain/Logger";
import * as winston from "winston";

/*
export default class WinstonLogger implements Logger {

   // logger;

    constructor() {
        this.logger = createLogger({
            level: 'info',
            format: winston.format.json(),
            defaultMeta: { service: 'user-service' },
            transports: [
              new winston.transports.File({ filename: 'error.log', level: 'error' }),
              new winston.transports.File({ filename: 'combined.log' }),
            ],
          })
    }

    error(message: string): void {
        throw new Error("Method not implemented.");
    }

    log(message: string): void {
        throw new Error("Method not implemented.");
    }


}
*/